<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <View
        android:id="@+id/view"
        android:layout_width="match_parent"
        android:layout_height="0dp" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/view"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="18dp"
            android:layout_marginTop="28dp"
            android:layout_marginEnd="18dp">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:fontFamily="@font/medium_font"
                android:text="@string/library"
                android:textColor="@color/white"
                android:textSize="32dp" />

            <View
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1" />


            <LinearLayout
                android:id="@+id/setting_btn"
                android:layout_width="48dp"
                android:layout_height="48dp"
                android:background="@drawable/drw_round_48_bg"
                android:gravity="center">

                <ImageView
                    android:layout_width="24dp"
                    android:layout_height="24dp"
                    android:src="@drawable/settings_icon" />

            </LinearLayout>
        </LinearLayout>

        <androidx.core.widget.NestedScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="12dp"
                    android:layout_marginTop="16dp"
                    android:layout_marginEnd="12dp"
                    android:layout_marginBottom="8dp"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:id="@+id/likedSongsBtn"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_margin="4dp"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="vertical">

                        <androidx.cardview.widget.CardView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:elevation="0dp"
                            app:cardBackgroundColor="@color/green_60"
                            app:cardCornerRadius="10dp"
                            app:cardElevation="0dp">

                            <ImageView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:padding="24dp"
                                android:src="@drawable/library_liked_icon" />

                        </androidx.cardview.widget.CardView>

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="8dp"
                            android:fontFamily="@font/medium_font"
                            android:text="@string/liked_songs"
                            android:textColor="@color/white"
                            android:textSize="14dp" />


                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center_vertical"
                            android:orientation="horizontal">

                            <TextView
                                android:id="@+id/likedSongsTv"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:fontFamily="@font/regular_font"
                                android:text="0"
                                android:textColor="@color/white_60"
                                android:textSize="12dp" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="8dp"
                                android:fontFamily="@font/regular_font"
                                android:text="@string/songs"
                                android:textColor="@color/white_60"
                                android:textSize="12dp" />

                        </LinearLayout>
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/offlineSongsBtn"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_margin="4dp"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="vertical">

                        <androidx.cardview.widget.CardView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:elevation="0dp"
                            app:cardBackgroundColor="@color/offline_bg_color_60"
                            app:cardCornerRadius="10dp"
                            app:cardElevation="0dp">

                            <ImageView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:padding="24dp"
                                android:src="@drawable/library_offline_icon" />

                        </androidx.cardview.widget.CardView>

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="8dp"
                            android:fontFamily="@font/medium_font"
                            android:text="@string/offline_songs"
                            android:textColor="@color/white"
                            android:textSize="14dp" />

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center_vertical"
                            android:orientation="horizontal">

                            <TextView
                                android:id="@+id/offlineSongsTv"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:fontFamily="@font/regular_font"
                                android:text="0"
                                android:textColor="@color/white_60"
                                android:textSize="12dp" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="8dp"
                                android:fontFamily="@font/regular_font"
                                android:text="@string/songs"
                                android:textColor="@color/white_60"
                                android:textSize="12dp" />

                        </LinearLayout>

                    </LinearLayout>

                </LinearLayout>

                <FrameLayout
                    android:id="@+id/frame_ad"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="14dp"
                    android:layout_marginEnd="14dp" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="16dp"
                    android:layout_marginTop="8dp"
                    android:layout_marginEnd="16dp"
                    android:fontFamily="@font/medium_font"
                    android:text="@string/new_playlist"
                    android:textColor="@color/white"
                    android:textSize="20dp" />

                <LinearLayout
                    android:id="@+id/newPlayListBtn"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="16dp"
                    android:layout_marginTop="16dp"
                    android:layout_marginEnd="16dp"
                    android:layout_marginBottom="16dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <RelativeLayout
                        android:layout_width="56dp"
                        android:layout_height="56dp"
                        android:background="@drawable/drw_round_48_bg">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerInParent="true"
                            android:src="@drawable/add_white_icon" />
                    </RelativeLayout>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="16dp"
                        android:fontFamily="@font/regular_font"
                        android:text="@string/new_playlist"
                        android:textColor="@color/white"
                        android:textSize="16dp" />
                </LinearLayout>

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/newPlayListRv"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="16dp"
                    android:layout_marginEnd="16dp"
                    android:layout_marginBottom="16dp"
                    android:overScrollMode="never"
                    android:scrollbars="none" />
            </LinearLayout>

        </androidx.core.widget.NestedScrollView>

    </LinearLayout>
</RelativeLayout>